Class | Tk::Itk::Archetype
In: | tk/lib/tkextlib/itk/incr_tk.rb
Parent: | TkWindow

### Methods

__destroy_hook__ component component_invoke component_obj component_path component_widget to_eval

### Constants

TkCommandNames | = | [].freeze

### Public Class methods

to_eval()

WidgetClassName = ‘Archetype’.freeze WidgetClassNames[WidgetClassName] = self

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 51
          def self.to_eval
            '::itk::' << self::WidgetClassName
          end

### Public Instance methods

__destroy_hook__()

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 55
          def __destroy_hook__
            Tk::Itk::Component::ComponentID_TBL.delete(self.path)
          end

component()

incr Tk
  public methods

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 60
          def component
            simplelist(tk_send('component'))
          end

component_invoke(name, cmd, *args)

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 69
          def component_invoke(name, cmd, *args)
            window(tk_send('component', name, cmd, *args))
          end

component_obj(*names)

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 73
          def component_obj(*names)
            names = component if names.empty?
            names.collect{|name| Tk::Itk::Component.new(self.path, name) }
          end

component_path(name)

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 64
          def component_path(name)
            window(tk_send('component', name))
          end

component_widget(name)

Alias for component_path

[Validate]